Loading...
Searching...
No Matches
serializers.cpp File Reference
`#include <array>`
`#include <charconv>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::serializers
| IP address serialization functions.

## Functions

void | ada::serializers::find_longest_sequence_of_ipv6_pieces (const std::array< uint16_t, 8 > &address, size_t &compress, size_t &compress_length) noexcept
std::string | ada::serializers::ipv6 (const std::array< uint16_t, 8 > &address)
std::string | ada::serializers::ipv4 (uint64_t address)